<?xml version="1.0" encoding="UTF-8"?>

<!-- Postprocess the resulting HTML to include the i18n & l10n text as optgroup labels -->

<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="1.0">

    <xsl:template match="optgroup">
      <optgroup disabled="{@disabled}" title="{@title}">
        <xsl:attribute name="label" >
          <xsl:value-of select="label" />
        </xsl:attribute>
        <xsl:apply-templates />
      </optgroup>
    </xsl:template>

  <xsl:template match="node()|@*" priority="-1">
    <xsl:copy>
      <xsl:apply-templates select="@*"/>
      <xsl:apply-templates/>
    </xsl:copy>
  </xsl:template>
  
</xsl:stylesheet>
