<?xml version="1.0" encoding="UTF-8"?>

<!-- Format dictionary entries for display -->

<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
    version="1.0">
    
    <xsl:import href="../../xslt/get-dict-entry2html.xsl"/>
    
	<xsl:template match="entry">
		<div class="entry">
			<h3><i18n:text><xsl:value-of select="@collID"/></i18n:text></h3>
			<xsl:apply-templates select="s"/>
			<xsl:apply-templates select="t"/>
		</div>
	</xsl:template>

    <xsl:template match="s">
     <span class="lemma">
      <xsl:apply-templates/>
     </span>
    </xsl:template>

    <xsl:template match="t">
     <span class="infl">
      (<xsl:apply-templates/>)
     </span>
    </xsl:template>


    <xsl:template match="tn">
      <span class="inflclass">
        <xsl:apply-templates/>
      </span>
    </xsl:template>

    <xsl:template match="av[. != '']">
      <span class="consgrad">
      - <xsl:apply-templates/>
      </span>
    </xsl:template>

</xsl:stylesheet>
