xquery version "1.0";

declare namespace util="http://exist-db.org/xquery/util";
declare namespace i18n="http://apache.org/cocoon/i18n/2.1";

import module namespace  dictmenu="http://www.risten.no/shared/dictmenu"  at "../xquery/dictmenu.xqm";
import module namespace classmenu="http://www.risten.no/shared/classmenu" at "../xquery/classmenu.xqm";
import module namespace langmenu="http://www.risten.no/shared/langmenu"   at "../xquery/langmenu.xqm";
import module namespace ristenutil="http://www.risten.no/shared/util"     at "../xquery/ristenutil.xqm";

(: Author: Sjur N. Moshagen "moshagen@samediggi.no"
   $Id: file-not-found.xq,v 1.2 2006/10/04 08:45:27 sjur Exp $
:)

<document>
   <body>
   
   <section title="FileNotFound" i18n:attr="title">

   <p>The file «{$requested-file}» wasn't found. The following locations where tested:</p>

   <ol class="filepaths">
     <li>risten/edit/{$colltype}/{$collID}/xquery/{$requested-file}</li>
     <li>risten/edit/{$colltype}/xquery/{$requested-file}</li>
     <li>risten/edit/xquery/{$requested-file}</li>
   </ol>

   <p>Please report this error to <a href="mailto:risten.no@samediggi.no">the developers</a>.</p>

   </section>

   </body>

</document>
