<?xml version="1.0"?>
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:exist="http://exist.sourceforge.net/NS/exist"
    xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
    xmlns:xi="http://www.w3.org/2001/XInclude"
    version="1.0">

  <xsl:import href="../../../xslt/searchdocu2html.xsl" />

    <xsl:template match="section/section">
      <h2>
        <i18n:text>
          <xsl:value-of select="@title"/>
        </i18n:text>
      </h2>
      <xsl:apply-templates/>
    </xsl:template>

    <xsl:template match="sourceResult">
      <p class="searchterm">
        <i18n:text i18n:catalogue="classedit">SaveResult</i18n:text>:
        <xsl:value-of select="execution"/>
      </p>
      <p class="searchterm">
        <i18n:text i18n:catalogue="classedit">message</i18n:text>:
        <xsl:value-of select="message"/>
      </p>
      <p class="searchterm">
        <i18n:text i18n:catalogue="classedit">behaviour</i18n:text>:
        <xsl:value-of select="behaviour"/>
      </p>
      <p class="searchterm">
        <i18n:text i18n:catalogue="classedit">action</i18n:text>:
        <xsl:value-of select="action"/>
      </p>
      <p class="searchterm">
        <i18n:text i18n:catalogue="classedit">pathToFile</i18n:text>:
        <xsl:value-of select="source"/>
      </p>
    </xsl:template>


</xsl:stylesheet>
