<?xml version="1.0"?>
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:exist="http://exist.sourceforge.net/NS/exist"
    xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
    xmlns:xi="http://www.w3.org/2001/XInclude"
    version="1.0">

  <xsl:import href="../../../xslt/searchdocu2html.xsl" />

  <xsl:param name="queryfile"/>

    <xsl:template match="query-results">
      <xsl:apply-templates select="label"/>
    </xsl:template>

    <xsl:template match="label">
      <span class="id"><xsl:value-of select="../@id"/></span>
      <xsl:text> – </xsl:text>
      <span class="lang"><xsl:value-of select="@xml:lang"/></span>
      <xsl:text> – </xsl:text>
      <xsl:value-of select="./text()" />
    </xsl:template>

</xsl:stylesheet>
