<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:exist="http://exist.sourceforge.net/NS/exist"
  xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
  version="1.0">

  <xsl:import href="../../xslt/search2html.xsl" />

  <xsl:param name="risten-type"/>
  <xsl:param name="risten-coll"/>

  <!-- This template will override the one in the imported stylesheet. It
       differs from the imported one by NOT having a "select all" alternative
       as the first choice - when editing, one can and must only select one -->
  <xsl:template match="termcolls">
    <select name="srchcoll" size="1" >
      <xsl:apply-templates/>
    </select>
  </xsl:template>

  <xsl:template match="classlangs">
    <select name="showlang" size="{count(./language)+1}" multiple="true" >
      <option value="all" selected="true"><i18n:text>AllLangs</i18n:text></option>
      <xsl:apply-templates/>
    </select>
  </xsl:template>

</xsl:stylesheet>
