<?xml version="1.0" encoding="UTF-8"?>

<!-- Final structuring of the classification labels -->

<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="1.0">


    <xsl:template match="topic">
		<span class="topic">
		  <xsl:attribute name="title">
			<xsl:value-of select="top/text()"/>
			<xsl:if test="./mid">
	⇒ <xsl:value-of select="mid/text()"/>
				<xsl:if test="./botm">
		⇒ <xsl:value-of select="botm/text()"/>
				</xsl:if>
			</xsl:if>
		  </xsl:attribute>
		  <xsl:choose>
		    <xsl:when test="./mid">
			  <xsl:value-of select="mid/text()" />
			</xsl:when>
			<xsl:otherwise>
			  <xsl:value-of select="top/text()" />
			</xsl:otherwise>
		  </xsl:choose>
		</span>
    </xsl:template>

  <xsl:template match="node()|@*" priority="-1">
    <xsl:copy>
      <xsl:apply-templates select="@*"/>
      <xsl:apply-templates/>
    </xsl:copy>
  </xsl:template>
  
</xsl:stylesheet>
