<?xml version="1.0"?>
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:exist="http://exist.sourceforge.net/NS/exist"
    xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
    xmlns:xi="http://www.w3.org/2001/XInclude"
    version="1.0">

  <!--xsl:import href="hitlist.xsl" /-->

    <xsl:import href="../../xslt/searchdocu2html.xsl"/>

    <xsl:param name="queryfile"/>

    <xsl:template name="navigation">
        <xsl:param name="position"/>
        <tr class="result-head" width="100%">
            <th class="nav{$position}" align="left" width="20%">
                <xsl:if test="@start &gt; 1">
                    <a href="{$queryfile}.xq?start={@start - @max}&amp;howmany={@max}&amp;showlang={@showlang}">
                        <i18n:text>Prev</i18n:text><br/>&lt;&lt;
                    </a>
                </xsl:if>

            </th>
            <th class="nav{$position}" align="center" width="60%">
                <i18n:text>DisplHits</i18n:text>
                <xsl:text> </xsl:text>
                <xsl:value-of select="@start"/> - <xsl:value-of select="@next - 1"/>
                <br/>
                (<i18n:text>TotalHits</i18n:text>: <xsl:value-of select="@hits"/>)
            </th>
            <th class="nav{$position}" align="right" width="20%">
                <xsl:if test="number(@next) &lt;= @hits">
                    <a href="{$queryfile}.xq?start={@next}&amp;howmany={@max}&amp;showlang={@showlang}">
                        <i18n:text>Next</i18n:text><br/>&gt;&gt;
                    </a>
                </xsl:if>

            </th>
        </tr>
    </xsl:template>

</xsl:stylesheet>
